Cancel FacilityAppointment
Use this API to cancel a FacilityAppointment at a Facility. It will be cancelled with reason FACILITY_CANCELLED_APPOINTMENT
Body
- Type: stringFormat: uuididrequired
The id of the
FacilityAppointment. - Type: stringcancelled
_note freeform information about the cancellation
Responses
Request Example for post/v1/cancel_facility_appointment
curl https://api.getconduit.ai/v1/cancel_facility_appointment \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"id": "a4b5c6d7-e8f9-4a0b-8c1d-2e3f4a5b6c7d",
"cancelled_note": "Order no longer required"
}'
An inbound appointment the facility cancelled
{
"id": "a4b5c6d7-e8f9-4a0b-8c1d-2e3f4a5b6c7d",
"type": "Inbound",
"scheduled_start_time": "2025-05-13T09:00:00-07:00",
"scheduled_end_time": "2025-05-13T10:00:00-07:00",
"recurring_facility_appointment": null,
"order_info": [
{
"id": "c2d3e4f5-a6b7-4c8d-9e0f-1a2b3c4d5e6f",
"reference_id": "PO-10077",
"external_reference_id": null,
"references": []
}
],
"created_at": "2025-05-09T10:41:27.338201-07:00",
"updated_at": "2025-05-10T07:12:44.902117-07:00",
"is_work_in": false,
"quantity": 20,
"units": "Pallets",
"carrier": "Ftl Trucks",
"carrier_scac": null,
"carrier_email": "[email protected]",
"carrier_emails": [
"[email protected]"
],
"carrier_phone": null,
"carrier_driver": null,
"carrier_notes": null,
"dock": null,
"tractor_number": null,
"trailer_number": null,
"seal_number": null,
"estimated_start_datetime": null,
"checked_in_at": null,
"checked_out_at": null,
"cancelled_at": "2025-05-10T07:12:44.901839-07:00",
"cancelled_reason": "FACILITY_CANCELLED_APPOINTMENT",
"cancelled_note": "Order no longer required",
"facility": "2aae24c7-438d-473f-aba8-7793b7efdec3",
"customer": null,
"status": "Cancelled",
"confirmation_code": "HJRKTE",
"shipper_receiver": "Sierra Bottling",
"forklift": null,
"load_started_at": null,
"load_finished_at": null,
"notes": null,
"public_notes": null,
"loading_type": "Live",
"all_load_types": []
}
